Subject: A formal NID registration request

From: "Kazuaki Ohara" <[email-masked]>
Date: Wed, 21 Jul 2010 19:41:48 +0900

Dear Sirs,

 We, the Association for Promotion of Public Local Information and Communication (APPLIC),
 send the following template for registration of a formal NID.
 If you have any questions, please send to the following e-mail address.

 Please see the attached document when you need the information on APPLIC
 and the Local Government ICT Platform project APPLIC has started according to
 one of the Japanese government policies.

Best regards,
Kazuaki Ohara
The Association for Promotion of Public Local Information and Communication (APPLIC)
Address: 2-9-4,Torano-mon,Minato-ward,Tokyo 105-0001,Japan
E-mail: [email-masked]
URL: http://www.applic.or.jp/

------------------------------------------------
A Uniform Resource Name (URN) Formal Namespace for the Local Government ICT Platform Project in Japan

Abstract

 This documents describes a Uniform Resource Name (URN) namespace that is produced by
 the Association for Promotion of Public Local Information and Communication (APPLIC)
 which consists of local governments, private companies and academic experts in Japan.

1. Introduction

In order to realize the improvement of public services for citizens and the reduction of ICT costs
for local governments in japan, APPLIC has started the Local Government ICT Platform project
according to one of the Japanese government policies(*1).

In this project APPLIC has set the standard specifications for various services
and exchanged data items between local governments, between local government and
private enterprise, which are based on the concept of SOA, and has published them(*2).
(and will upgrade them when necessary.)

The XML schemas and WSDL files on the services also are included in the specifications,
and NamespaceID on them has to be registered formaly and to be unique.

(*1)Reference to page 12 of the document "Outline of Japan's Info-Communications Policies", published as follows.
    http://www.soumu.go.jp/menu_news/kouhoushi/pdf/060530-e_1.pdf
(*2)The latest version at 2010/07 is published on the following web page.
    http://www.applic.or.jp/APPLIC/2010/APPLIC-0009-2010/APPLIC-0009-2010-02/index.html

2. Specification Template

   NamespaceID:  "applic"

Registration Information:

   Version 1
   Date:  2010-07-21

Declared registrant of the namespace:

   Name(Organization): The Association for Promotion of Public Local Information and Communication (APPLIC)
   Address: 2-9-4,Torano-mon,Minato-ward,Tokyo 105-0001,Japan
   E-mail: [email-masked]
   URL: http://www.applic.or.jp/

Declaration of syntactic structure:

  The identifier structure is as follows:

  urn: <namespace ID>:xmlns:pf:<the classification of the specification>:<the classification of the file>:<the information of the 
specification release>

 <namespace ID> is "applic"

 <the classification of the specification> is "dis" | "gis" | "lgxml" | "interop" | "common"

 <the classification of the file> is "schema" | "wsdl" | "bpel"

 <the information of the specification release time> is YYYY-**

      YYYY : the year of the specification release
       **  : the time of the specification release in the year ,which is from "01" to "99"

Relevant ancillary documentation :

   The specification documents and XML schemas are published on the following site:

   http://www.applic.or.jp/

   (The latest version at 2010/07 is published on the following page.)

   http://www.applic.or.jp/APPLIC/2010/APPLIC-0009-2010/download.html
   http://www.applic.or.jp/APPLIC/2010/APPLIC-0009-2010/APPLIC-0009-2010-02/index.html

Identifier uniqueness considerations:

　　URN identifiers are assigned uniquely.
      -- APPLIC assigns them to at most one resource according to above syntactic structure, and do not reassign.

　　　
Identifier persistence considerations:

　　All identifier assignments are permanent by APPLIC.

Process of identifier assignment:

　　The assignment process is completely closed one under APPLIC control.

Process for identifier resolution:

　　APPLIC will maintain lists of assigned identifiers on its web pages or documents. (http://www.applic.or.jp/)

Rules for Lexical Equivalence:

　　The rules for lexcial equivalence are that two names are lexcialy equivalent
    if they match character for character in a case-sensitve manner.

Conformance with URN Syntax:

　　No special considerations.

Validation mechanism:

　　No special considerations.

Scope:

　　Global.

3. Example

  (The folowing examples are not to be real.)

  urn:applic:xmlns:pf:lgxml:wsdl:2016-01
  urn:applic:xmlns:pf:common:schema:2020-03

4. Namespace Considerations

 In order to guarantee the uniqueness of URNs, the assignment process of them is completely closed one under APPLIC control
 and in fact APPLIC assigns them according to the above "Declaration of syntactic structure" in "2. Specification Template"
 and publishes them.

5. Community Considerations

 In Japan software development companies implement the functions of the Local Government ICT Platform
 specifications (including XML schemas and WSDL files) into their software products for local governments
 and release them. Local governments need to design their services by using them in order to communicate
 with each other on the Local Government ICT Platform.
 The software products in accordance with the specifications can be passed by APPLIC and published
 on the following APPLIC web page.
 http://www.applic.or.jp/pf/entry/unit.html.

 Any organization such as local governments and private enterprises will be entitled to access the namespace and its
 associated application, registration and resolution services.
 The primary "applic" namespace usage is to identify information resources, such as XML messages, according to
 the Local Government ICT Platform specifications.

6. IANA Considerations

 This document includes a URN NID registration for APPLIC for entry in the IANA registry of URN NIDs
 (see [RFC2434] for more information).

 (APPLIC indicates in the document "Standard Specification regarding Platform Communication",
  one of the Local Government ICT Platform documents,
  that The NamespaceID "applic" is entered into the IANA registry of URN NIDs.)

7. Security Considerations

 There are no additional security considerations except those of the use and resolution of URNs in general.

8. References

8.1. Normative References

[RFC3406] Daigle, L., van Gulik, D., Iannella, R., and P. Faltstrom, "Uniform Resource Names (URN) Namespace Definition Mechanisms", 
BCP 66, RFC 3406, October 2002.

8.2. Informative References

[RFC4350] F.Hendrikx, C.Wallis, (New Zealand Government), "A Uniform Resource Names (URN) Namespace for the New Zealand Government", 
RFC4350, February 2006.

[RFC4617] J.KorniJenko, "A Uniform Resource Name (URN) Formal Namespace for the Latvian National Government Integration Project", 
RFC4617, August 2006.

Author's Address

  Kazuaki Ohara
  The Association for Promotion of Public Local Information and Communication (APPLIC)
  2-9-4,Torano-mon,Minato-ward,Tokyo 105-0001,Japan
  E-mail: [email-masked]
  URL: http://www.applic.or.jp/

--------------------------------------------------------